Summary: Streamtuner is a stream directory browser.
Name: streamtuner
Version: 0.99.99
Release: 1
License: BSD
Group: Productivity/Networking/Other
Source0: %{name}-%{version}.tar.bz2
Patch0: streamtuner-suse-menu.patch.bz2
URL: http://streamtuner.sourceforge.net
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prefix: /opt/gnome 
Requires: curl gtk2 glib2 openssl freetype2 streamripper taglib
Buildrequires: curl-devel gtk2-devel glib2-devel pkgconfig openssl-devel freetype2-devel xmms-devel taglib-devel python-gtk
%if %suse_version > 820
BuildRequires: update-desktop-files
%endif
Obsoletes: streamtuner-local streamtuner-xiph streamtuner-live365

%description 
Streamtuner is a stream directory browser which connects to a source (probably
a Web server) and retrieves the list of available audio streams featuring a good-looking GTK2 interface, a multi-threaded design and a plugin system.
It also uses streamripper in order to record mp3 stream on your hard drive.

Plugins are included in this package.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
./configure --prefix=%{prefix} --mandir=/usr/share/man 
make 

%install
make DESTDIR=%buildroot install
%if %suse_version > 820
%suse_update_desktop_file streamtuner X-SuSE-Core-Multimedia
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc INSTALL README AUTHORS COPYING NEWS TODO
%{prefix}/bin/streamtuner
#%{prefix}/bin/streamtuner-theme-convert
%{prefix}/lib/pkgconfig/streamtuner.pc
%{prefix}/lib/streamtuner/plugins/*
%{prefix}/include/streamtuner/st-*
%{prefix}/include/streamtuner/streamtuner.h
%{prefix}/share/applications/streamtuner.desktop
%{prefix}/share/streamtuner/*
%{prefix}/share/locale/*/LC_MESSAGES/streamtuner.mo
%{prefix}/share/pixmaps/streamtuner.png
#/usr/share/man/man1/streamtuner*
%{prefix}/share/gtk-doc/*
%{prefix}/share/help/*
%{prefix}/share/omf/*
#%{prefix}/share/streamtuner/python/*

%Changelog
* Sun Jan 02 2005 Sebastien Corot <scorot@libertysurf.fr>
- updated to version 0.99.99
- update file list

* Sat Nov 13 2004 Sebastien Corot <scorot@libertysurf.fr>
- compiled for SuSE Linux 9.2
- updated to version 0.99

* Sat May 20 2004 Sebastien Corot <scorot@libertysurf.fr>
- added streamtuner-suse-menu.patch to avoid streamtuner menu entry to appear in Mulitmedia/TV

* Fri May 14 2004 Sebastien Corot <scorot@libertysurf.fr>
- compiled for SuSE Linux 9.1
- updated to version 0.12.3

* Thu Mar 06 2004 Sebastien Corot <scorot@libertysurf.fr>
- update to version 0.12.1
- update file list

* Sun Feb 08 2004 Sebastien Corot <scorot@libertysurf.fr>
- updated to version 0.11.1

* Sat Jan 31 2004 Sebastien Corot <scorot@libertysurf.fr>
- corrected licence type : streamtuner is realeased under BSD Licence, not GPL.
- updated to version 0.11.0

* Fri Jan 09 2004 Sebastien Corot <scorot@libertysurf.fr>
- updated to version 0.10.2

* Fri Dec 05 2003 Sebastien Corot <scorot@libertysurf.fr>
- changed summary
- removed kde menu entry because gnome menu entry already exists
- removed MPlayer dependency 

* Sat Nov 08 2003 Sebastien Corot <scorot@libertysurf.fr>
- updated to version 0.10.1
- compiled fo SuSE Linux
- changed package group
- added package an build dependencies
- added kde menu entry

* Wed Aug 21 2002 Rudolf Kastl
- Initial RPM release

